<?php

require_once './header.php';

?>

<div class="bg-gradient-to-b from-[#2EB03B] to-[#9FC39C] min-h-screen border border-transparent">
<!-- bgcard -->
    <div class="w-[95%] mx-auto mt-3 md:mt-8 rounded-xl p-4 md:pt-5 bgcard md:bg-none lg:mt-[90px] mb-3 min-h-[calc(100vh-130px)]">
        <div class="flex items-center justify-between">
            <h3 class="text-sm sm:text-base md:text-lg lg:text-lg font-semibold md:mb-2">Relaci&oacute;n completa de crédito</h3>
        
            <div class="hidden bg-white float-right text-sm px-3 py-2 rounded text-[#99A455] lg:block">
                <a href="#" class="text-xs">...</a>
                <span>></span>
                <a href="#" class="text-xs">Operaciones</a>
                <span>></span>
                <a href="#" class="text-[#09880F] text-sm">Créditos</a>
                <div class="border border-[#09880F] mt-1"></div>
            </div>
        </div>

        <div class="flex flex-col lg:block gap-y-2 mt-2 md:mt-0">
            <div class="w-full flex justify-end lg:my-2">
                <div>
					<button id="dropdownLeftEndButton" data-dropdown-toggle="dropdownLeftEnd" data-dropdown-offset-distance="5" data-dropdown-offset-skidding="0"  data-dropdown-placement="bottom" class="border-2 rounded py-1 px-2 text-white bg-[#09880F] outline-none border-white">
						<svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-table-options w-4 lg:w-5">
							<path stroke="none" d="M0 0h24v24H0z" fill="none"/>
							<path d="M12 21h-7a2 2 0 0 1 -2 -2v-14a2 2 0 0 1 2 -2h14a2 2 0 0 1 2 2v7" />
							<path d="M3 10h18" />
							<path d="M10 3v18" />
							<path d="M19.001 19m-2 0a2 2 0 1 0 4 0a2 2 0 1 0 -4 0" />
							<path d="M19.001 15.5v1.5" />
							<path d="M19.001 21v1.5" />
							<path d="M22.032 17.25l-1.299 .75" />
							<path d="M17.27 20l-1.3 .75" />
							<path d="M15.97 17.25l1.3 .75" />
							<path d="M20.733 20l1.3 .75" />
						</svg>
					</button>

					<div id="dropdownLeftEnd" class="z-20 hidden bg-white divide-y divide-gray-100 rounded-lg shadow w-3xl dark:bg-gray-700 p-3">
						<div class="w-full grid grid-cols-1 lg:grid-cols-2 lg:gap-x-3">
							<div class="">
								<h4 class="border-b border-b-[#09880F] py-2 text-sm font-semibold">Columnas Desactivadas</h4>
								<div id="content_desactivadas" class="grid grid-cols-1 gap-y-2 mt-3">
									
								</div>
							</div>
							<div class="">
								<h4 class="border-b border-b-[#09880F] py-2 text-sm font-semibold">Columnas Visibles</h4>
								<div id="content_activadas" class="grid grid-cols-1 gap-y-2 mt-3">
									
								</div>
							</div>
						</div>
					</div>
				</div>
            </div>
                    
                    
                    
            <div class="flex flex-col lg:flex-row gap-y-2 md:gap-x-7">
                <div class="w-full md:w-1/2 lg:w-1/3 md:flex gap-y-2 md:gap-x-2 items-center">
                    <div class="mb-2 md:mb-0">
                        <input type="text" name="daterange" value="" class="w-full md:w-80 lg:w-64 h-8 md:h-10 text-xs lg:text-sm outline-none border-gray-300 text-gray-500 border rounded-md focus:ring-0 focus:border-[#7D7D7D]" />
                    </div>

                    <div class="flex justify-between md:justify-normal gap-x-4 md:gap-x-3">
                        <select name="" id="" class="h-8 md:h-10 bg-white outline-none border-gray-300 text-gray-500 border rounded-md text-xs md:text-sm w-full md:w-36 focus:ring-0 focus:border-[#7D7D7D]">
                            <option value="01" selected>Venta</option>
                            <option value="02">Otro</option>
                        </select>
                        
                        <div class="">
                            <button class="h-8 md:h-10 border rounded bg-red-500 text-white p-1 md:px-2 md:py-[6px]">
                                <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-filter w-5">
                                    <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                    <path d="M4 4h16v2.172a2 2 0 0 1 -.586 1.414l-4.414 4.414v7l-6 2v-8.5l-4.48 -4.928a2 2 0 0 1 -.52 -1.345v-2.227z" />
                                </svg>
                            </button>
                        </div>
                    </div>
                </div>
    
                <div class="w-full flex-1 flex flex-col md:flex-row md:items-center gap-y-2 md:gap-x-3 md:justify-end">
                    <div class="h-8 md:h-10 w-full lg:w-96 border border-gray-300 flex items-center rounded-lg overflow-hidden bg-white">
                        <span class="bg-[#09880F] text-white text-xs md:text-sm h-full flex items-center">
                            <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-search w-4 mx-2">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                <path d="M10 10m-7 0a7 7 0 1 0 14 0a7 7 0 1 0 -14 0" />
                                <path d="M21 21l-6 -6" />
                            </svg>
                        </span>
                        <input type="text" id="input_search" class="border-gray-300 border-l border-r-0 border-t-0 border-b-0 w-full py-2 px-2 text-xs lg:text-sm outline-none focus:ring-0 focus:border-none" placeholder="Buscar">
                    </div>
    
                    <div class="h-8 md:h-10 w-full md:w-auto text-right">
                        <select id="select_page" class="border-gray-300 focus:ring-0 focus:border-gray-300 rounded-lg h-full text-xs">
                            <option value="8">8</option>
                            <option value="20">20</option>
                            <option value="50">50</option>
                            <option value="100">100</option>
                        </select>
                    </div>
                </div>
            </div>
        </div>


        <div class="w-full mt-2">
        
            <!-- TABLE -->
            <table id="example" class="hover text-sm text-gray-800 bg-white display" style="width:100%;">

                <thead>
                    <tr class="bg-[#DEF9B6]">
                        <th class="border border-gray-300" style="text-align: center;">Fecha</th>
                        <th class="border border-gray-300" style="text-align: center;">Documento</th>
                        <th class="border border-gray-300" style="text-align: center;">Cliente/Proveedor</th>
                        <th class="border border-gray-300" style="text-align: center;">Moneda</th>
                        <th class="border border-gray-300" style="text-align: center;">Total</th>
                        <th class="border border-gray-300" style="text-align: center;">Por Pagar</th>
                        <th class="border border-gray-300" style="text-align: center;">Estado</th>
                        <th class="border border-gray-300" style="text-align: center;">Acciones</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="border-b">
                        <td style="text-align: center;">30/05/2024</td>
                        <td style="text-align: center;">D001 19201</td>
                        <td style="text-align: center;">Cementos Pacasmayo S.A.A</td>
                        <td style="text-align: center;">Soles</td>
                        <td style="text-align: center;">30.29</td>
                        <td style="text-align: center;">30.29</td>
                        <td style="text-align: center;">
                            <span class="<?php echo $registered ?>">Registrado</span>
                        </td>
                        <td style="text-align: center;">
                            <div class="flex justify-center items-center gap-x-1">
                                <i data-modal-target="modal-list-payments" data-modal-toggle="modal-list-payments" class="text-green-500 cursor-pointer">
                                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-list-check"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M3.5 5.5l1.5 1.5l2.5 -2.5" /><path d="M3.5 11.5l1.5 1.5l2.5 -2.5" /><path d="M3.5 17.5l1.5 1.5l2.5 -2.5" /><path d="M11 6l9 0" /><path d="M11 12l9 0" /><path d="M11 18l9 0" /></svg>
                                </i>

                                <i data-modal-target="modal-new-credit" data-modal-toggle="modal-new-credit" class="text-blue-500 cursor-pointer">
                                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-credit-card"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M3 5m0 3a3 3 0 0 1 3 -3h12a3 3 0 0 1 3 3v8a3 3 0 0 1 -3 3h-12a3 3 0 0 1 -3 -3z" /><path d="M3 10l18 0" /><path d="M7 15l.01 0" /><path d="M11 15l2 0" /></svg>
                                </i>
                            </div>

                        </td>
                    </tr>
                    
                </tbody>

            </table>

        </div>


    </div>

</div>


<!-- modal pagos -->
	<div id="modal-list-payments" tabindex="-1" aria-hidden="true" class="hidden overflow-y-auto overflow-x-hidden fixed top-0 right-0 left-0 z-50 justify-center items-center w-full md:inset-0 h-[calc(100%-1rem)] max-h-full">
        <div class="relative p-4 w-full max-w-2xl max-h-full">
            <div class="relative bg-white rounded-lg shadow px-3 py-5 md:p-6 space-y-6">
                 <!-- header -->
                 <div class="w-full border-b-2 border-b-[#004B23] py-2">
                    <h3 class="text-base md:text-lg lg:text-lg font-semibold">Lista completa de Pagos</h3>
                </div>

                <!-- body -->
                <div class="w-full grid grid-cols-1 lg:grid-cols-2 gap-3">

                    <div class="col-span-1 lg:col-span-2">
                        <table id="table_list_pagos" class="hover text-sm text-gray-800 bg-white" style="width:100%; margin-top: 10px;">
                            <thead>
                                <tr class="bg-[#DEF9B6]">
                                    <th class="border border-gray-300" style="text-align: center;">Fecha</th>
                                    <th class="border border-gray-300" style="text-align: center;">Tipo de Pago</th>
                                    <th class="border border-gray-300" style="text-align: center;">Observación</th>
                                    <th class="border border-gray-300" style="text-align: center;">Importe</th>
                                    <th class="border border-gray-300" style="text-align: center;">Acciones</th>
                                </tr>
                            </thead>
                            <tbody id="tbody_list_pagos">
                                
                            </tbody>
                        </table>
                    </div>

                </div>

                <!-- footer -->
                <div class="w-full col-span-1 flex justify-between md:justify-center md:gap-x-7 text-xs md:text-sm lg:mb-4">
                    <button type="button"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-[#09880F] hover:bg-[#09880F]/80 text-white rounded-md shadow ease-in-out duration-150"
                    >
                        Guardar Informaci&oacute;n
                    </button>
                    <button type="button"
                        id="btn_cancelar_payments"
                        data-modal-hide="modal-list-payments"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-white hover:bg-white/80 text-[#F14545] border border-[#F14545] rounded-md shadow"
                    >
                        Cancelar
                    </button>
                </div>
            </div>
        </div>
    </div>


<!-- modal registro credito -->
	<div id="modal-new-credit" tabindex="-1" aria-hidden="true" class="hidden overflow-y-auto overflow-x-hidden fixed top-0 right-0 left-0 z-50 justify-center items-center w-full md:inset-0 h-[calc(100%-1rem)] max-h-full">
        <div class="relative p-4 w-full max-w-2xl max-h-full">
            <div class="relative bg-white rounded-lg shadow px-3 py-5 md:p-6 space-y-6">
                 <!-- header -->
                 <div class="w-full border-b-2 border-b-[#004B23] py-2">
                    <h3 class="text-base md:text-lg lg:text-lg font-semibold">Crédito</h3>
                </div>

                <!-- body -->
                <div class="w-full grid grid-cols-1 gap-y-5">

					<div class="col-span-1">
						<label class="relative">
                            <input type="date"
                                class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                placeholder="0.00"
                            >

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Fecha
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

					<div class="col-span-1">
                        <label class="relative">
                            <select class="bg-white border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                                <option value="0" selected>- Seleccionar -</option>
                                <div>
                                    <option value="1">
                                        <span>1.8.1. ACEITE SPECIAL TEC AA</span>
                                    </option>
                                </div>
                            </select>

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Medios de Pago
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

					<div class="col-span-1">
                        <label class="relative">
                            <input type="text"
                                class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                                placeholder="0.00"
                            >

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Importe
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

					<div class="col-span-1">
                        <label class="relative">
                            <select class="bg-white border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                                <option value="0" selected>- Seleccionar -</option>
                                <div>
                                    <option value="1">
                                        <span>1.8.1. ACEITE SPECIAL TEC AA</span>
                                    </option>
                                </div>
                            </select>

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Moneda
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

					<div class="col-span-1">
                        <label class="relative">
                            <input type="text"
                                class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D] bg-gray-50"
                                placeholder="0.00"
								disabled
                            >

                            <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                                Tipo de Cambio
                                <span class="text-red-500">*</span>
                            </span>
                        </label>
                    </div>

					<div class="col-span-1">
						<div class="relative">
							<label class="relative block">
								<textarea name="" id="" rows="6" id=""
									placeholder="Escribir las observaciones"
									class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 resize-none focus:ring-0 focus:border-[#7D7D7D]"
								></textarea>

								<span class="absolute left-2 -top-3 text-xs bg-white px-1">
									Observaciones
								</span>
							</label>
							<span class="text-xs text-gray-400 absolute -bottom-3 left-1">0/300</span>
						</div>
					</div>

                </div>

                <!-- footer -->
                <div class="w-full col-span-1 flex justify-between md:justify-center md:gap-x-7 text-xs md:text-sm lg:mb-4">
                    <button type="button"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-[#09880F] hover:bg-[#09880F]/80 text-white rounded-md shadow ease-in-out duration-150"
                    >
                        Guardar Informaci&oacute;n
                    </button>
                    <button type="button"
                        id="btn_cancelar_payments"
                        data-modal-hide="modal-new-credit"
                        class="w-32 md:w-40 lg:w-64 py-2 bg-white hover:bg-white/80 text-[#F14545] border border-[#F14545] rounded-md shadow"
                    >
                        Cancelar
                    </button>
                </div>
            </div>
        </div>
    </div>

	
<?php
require_once './footer.php';
?>
<script src="./assets/js/functions/credito/listado.js"></script>