/** @type {import('tailwindcss').Config} */
module.exports = {
  content: [
    "./*{html,js,php}",
    "./assets/js/*.js",
    "./node_modules/flowbite/**/*.js"
  ],
  theme: {
    extend: {
      backgroundImage: {
        'custom-gradient': 'linear-gradient(0deg, #000 0%, #000 100%), linear-gradient(116deg, rgba(255, 255, 255, 0.10) 68.61%, rgba(217, 217, 217, 0.00) 68.61%);'
      }
    },
  },
  plugins: [
    require('flowbite/plugin')
  ],
}

