<?php 

require_once './header.php';

?>

<div class="bg-gradient-to-b from-[#2EB03B] to-[#9FC39C] min-h-screen border border-transparent">

    <div class="bg-white w-[95%] mx-auto m-3 md:mt-8 rounded-xl p-4 md:pt-5 md:px-6 lg:mt-[90px]">
        <div class="flex items-center justify-between border-b-2 border-b-[#004B23] pb-2 lg:pb-3">
            <h3 class="text-sm sm:text-base md:text-lg lg:text-lg font-semibold md:mb-2">Datos Generales</h3>
        
            <div class="hidden bg-white float-right text-sm px-3 py-2 rounded text-[#99A455] lg:block">
                <a href="#" class="text-xs">...</a>
                <span>></span>
                <a href="#" class="text-xs">Operaciones</a>
                <span>></span>
                <a href="#" class="text-[#09880F] text-sm">Facturación Electrónica</a>
                <div class="border border-[#09880F] mt-1"></div>
            </div>
        </div>

        <!-- contenedor del formulario cabecera -->
        <div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 mt-6 md:mt-8 gap-y-5 md:gap-y-6 md:gap-x-4">
            
            <div class="">
                <label class="relative">
                    <input type="date"
                        class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                    >

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Fecha
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                        <option value="0" selected>- Seleccionar -</option>
                        <option value="1">Compra</option>
                        <option value="2">Venta</option>
                        <option value="3">Ingreso</option>
                        <option value="4">Salida</option>
                    </select>

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Tipo Movimiento
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                        <option value="0" selected>- Seleccionar -</option>
                        <option value="1">Contado</option>
                        <option value="2">Cr&eacute;dito</option>
                    </select>

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Tipo Pago
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                        <option value="0" selected>- Seleccionar -</option>
                        <option value="1">Bienes</option>
                        <option value="2">Servicios</option>
                    </select>

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Destino
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                        <option value="0" selected>- Seleccionar -</option>
                        <option value="1">Almacen 1</option>
                    </select>

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Almacén
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                        <option value="0" selected>- Seleccionar -</option>
                        <option value="1">FACTURA ELECTRONICA</option>
                        <option value="2">BOLETA VENTA ELECTRONICA</option>
                        <option value="3">NOTA DE VENTA</option>
                    </select>

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Documento
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <input type="text"
                        class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]"
                        placeholder="Ingresar el documento de referencia"
                    >

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Orden de Compra/Doc. Ref
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <select class="bg-white border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                        <option value="0" selected>- Seleccionar -</option>
                        <option value="1">Soles</option>
                        <option value="2">Dolares</option>
                    </select>

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Tipo de Moneda
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="">
                <label class="relative">
                    <select class="border border-[#7D7D7D] w-full rounded-lg p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-[#7D7D7D]">
                        <option value="0" selected>- Seleccionar -</option>
                        <option value="1">Vendedor 1</option>
                        <option value="2">Vendedor 2</option>
                    </select>

                    <span class="absolute left-2 -top-5 text-xs bg-white px-1">
                        Vendedor
                        <span class="text-red-500">*</span>
                    </span>
                </label>
            </div>

            <div class="md:col-span-2 lg:col-span-3 relative">
                <label class="relative">
                    <div class="flex border border-[#7D7D7D] focus:border-[#7D7D7D] items-center rounded-lg relative">
                        <span id="valueIdProdServ" class="hidden"></span>
                        <input type="text" id="search-prodserv"
                            class="cursor-default w-full border-none bg-transparent p-3 text-xs lg:text-sm outline-none placeholder:text-gray-500 text-gray-700 focus:ring-0 focus:border-none"
                            placeholder="Ingresar nombre producto"
                            autocomplete="off"
                        >

                        <i class="font-extrabold">
                            <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-chevron-down text-gray-600 w-4 mr-2">
                                <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                <path d="M6 9l6 6l6 -6" />
                            </svg>
                        </i>

                        <span class="absolute left-2 -top-3 text-xs bg-white px-1">
                            Productos/Servicios
                            <span class="text-red-500">*</span>
                        </span>
                    </div>
                </label>
                <div id="prodservList" class="col-span-1 z-50 hidden bg-white border border-slate-300 rounded-bl-md rounded-br-md divide-y divide-gray-100 shadow-xl w-full absolute top-12 max-h-32 overflow-y-scroll">
                </div>
            </div>


            

            

        </div>

        <div class="mt-3">
            <!-- card header -->
            <div class="border-b-2 border-b-[#004B23] pb-2 lg:pb-3">
                <h3 class="text-sm sm:text-base md:text-lg lg:text-lg font-semibold md:mb-2">Subir Archivos de Importacion</h3>
            </div>

            <!-- card body -->
            <div class="grid grid-cols-1 pt-4 space-y-4 lg:space-y-2 lg:grid-cols-2 lg:gap-x-6">
                <div class="col-span-1">
                
                    <div class="mt-2 flex justify-center rounded-lg border border-dashed border-gray-900/25 px-6 py-10">
                        <div class="flex flex-col items-center">
                            <span class="text-[#09880F] text-xl">
                                <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-cloud-upload w-10"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M7 18a4.6 4.4 0 0 1 0 -9a5 4.5 0 0 1 11 2h1a3.5 3.5 0 0 1 0 7h-1" /><path d="M9 15l3 -3l3 3" /><path d="M12 12l0 9" /></svg>
                            </span>
                            <div class="mt-4 flex text-sm leading-6 text-gray-600">
                                <p class="px-1">Arrastre su(s) archivo(s) o </p>
                                <label for="file-upload" class="relative cursor-pointer rounded-md bg-white font-semibold text-indigo-600 focus-within:outline-none focus-within:ring-0 focus-within:ring-indigo-600 focus-within:ring-offset-2 hover:text-indigo-500">
                                <span>busque</span>
                                <input id="file-upload" name="file-upload" type="file" class="sr-only">
                                </label>
                                
                            </div>
                            <p class="text-xs leading-5 text-gray-600">Se permiten archivos de 10MB como máximo</p>
                        </div>
                    </div>

                    <span class="text-xs text-gray-500">Solo se admiten archivos .pdf</span>
                </div>

                <div class="col-span-1 lg:col-span-1 grid grid-cols-1 gap-y-4">


                    <div class="col-span-1">
                        <div class="border border-gray-900/25 rounded-lg p-6 space-y-2">
                            <div class="flex justify-between">
                                <div class="flex gap-x-2">
                                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-file-type-pdf">
                                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                        <path d="M14 3v4a1 1 0 0 0 1 1h4" />
                                        <path d="M5 12v-7a2 2 0 0 1 2 -2h7l5 5v4" />
                                        <path d="M5 18h1.5a1.5 1.5 0 0 0 0 -3h-1.5v6" />
                                        <path d="M17 18h2" />
                                        <path d="M20 15h-3v6" />
                                        <path d="M11 15v6h1a2 2 0 0 0 2 -2v-2a2 2 0 0 0 -2 -2h-1z" />
                                    </svg>

                                    <div class="text-xs flex flex-col">
                                        <span class="font-semibold">Subiendo...</span>
                                        <span class="text-gray-500">Quedan 30 segundos</span>
                                    </div>
                                </div>

                                <div class="flex gap-x-2">
                                    <button class="h-5 w-5 rounded-full border-2 border-green-500 text-green-500 bg-green-200 flex justify-center items-center font-semibold">
                                        <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="currentColor"  class="w-3 icon icon-tabler icons-tabler-filled icon-tabler-player-pause"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M9 4h-2a2 2 0 0 0 -2 2v12a2 2 0 0 0 2 2h2a2 2 0 0 0 2 -2v-12a2 2 0 0 0 -2 -2z" /><path d="M17 4h-2a2 2 0 0 0 -2 2v12a2 2 0 0 0 2 2h2a2 2 0 0 0 2 -2v-12a2 2 0 0 0 -2 -2z" /></svg>
                                    </button>

                                    <button class="h-5 w-5 rounded-full border-2 border-red-500 text-red-500 bg-red-200 flex justify-center items-center font-semibold">
                                        <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="w-3 icon icon-tabler icons-tabler-outline icon-tabler-x"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M18 6l-12 12" /><path d="M6 6l12 12" /></svg>
                                    </button>
                                </div>
                            </div>

                            <div class="w-full bg-gray-200 rounded-full h-2.5 dark:bg-gray-700">
                                <div class="bg-[#99A455] h-2.5 rounded-full" style="width: 45%"></div>
                            </div>
                        </div>

                    </div>

                    <div class="col-span-1">
                        <div class="border border-gray-900/25 rounded-lg p-6 space-y-2">
                            <div class="flex justify-between">
                                <div class="flex gap-x-2">
                                    <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="icon icon-tabler icons-tabler-outline icon-tabler-file-type-pdf">
                                        <path stroke="none" d="M0 0h24v24H0z" fill="none"/>
                                        <path d="M14 3v4a1 1 0 0 0 1 1h4" />
                                        <path d="M5 12v-7a2 2 0 0 1 2 -2h7l5 5v4" />
                                        <path d="M5 18h1.5a1.5 1.5 0 0 0 0 -3h-1.5v6" />
                                        <path d="M17 18h2" />
                                        <path d="M20 15h-3v6" />
                                        <path d="M11 15v6h1a2 2 0 0 0 2 -2v-2a2 2 0 0 0 -2 -2h-1z" />
                                    </svg>

                                    <div class="text-xs flex flex-col">
                                        <span class="font-semibold">Subiendo...</span>
                                        <span class="text-gray-500">Quedan 30 segundos</span>
                                    </div>
                                </div>

                                <div class="flex gap-x-2">
                                    <button class="h-5 w-5 rounded-full border-2 border-red-500 text-red-500 bg-red-200 flex justify-center items-center font-semibold">
                                        <svg  xmlns="http://www.w3.org/2000/svg"  width="24"  height="24"  viewBox="0 0 24 24"  fill="none"  stroke="currentColor"  stroke-width="2"  stroke-linecap="round"  stroke-linejoin="round"  class="w-3 icon icon-tabler icons-tabler-outline icon-tabler-x"><path stroke="none" d="M0 0h24v24H0z" fill="none"/><path d="M18 6l-12 12" /><path d="M6 6l12 12" /></svg>
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>

                </div>

                <div class="col-span-1 lg:col-span-2">
                    <table id="table_products_form" class="hover text-sm text-gray-800 bg-white" style="width:100%; margin-top: 10px;">
                        <thead>
                            <tr class="bg-[#DEF9B6]">
                                <th class="border border-gray-300" style="text-align: center;">NRO.</th>
                                <th class="border border-gray-300" style="text-align: center;">RUC/DNI</th>
                                <th class="border border-gray-300" style="text-align: center;">Nombre</th>
                                <th class="border border-gray-300" style="text-align: center;">Observacion</th>
                                <th class="border border-gray-300" style="text-align: center;">Total</th>
                                <th class="border border-gray-300" style="text-align: center;">Dias Credito</th>
                            </tr>
                        </thead>
                        <tbody id="tbody_productsx">
                            
                        </tbody>
                    </table>
                </div>

                
            </div>

            <!-- footer -->
            <div class="w-full mt-6 flex justify-between md:justify-center md:gap-x-7 text-xs md:text-sm lg:mb-4">
                <button
                    class="w-32 md:w-40 lg:w-64 py-2 bg-[#09880F] hover:bg-[#09880F]/80 text-white rounded-md shadow ease-in-out duration-150"
                >
                    Guardar información
                </button>
                <button
                    class="w-32 md:w-40 lg:w-64 py-2 bg-white hover:bg-white/80 text-[#F14545] border border-[#F14545] rounded-md shadow"
                >
                    Cancelar
                </button>
            </div>

        </div>
        
    </div>

</div>
  



<?php
require_once './footer.php';
?>

<script src="./assets/js/functions/facturacion.js"></script>